Subject: Re: [Sipping] rtp seq and timestamp

From: "Ingemar Johansson S" <[email-masked]>
Date: Wed, 4 Jun 2008 08:29:45 +0200

Hi

This question probably fits better in the avt wg.

The RTP sequence number should normally increase by one for each packet.

The timestamp should also be monotonically increasing but in some cases
(retransmission) packets may have timestamps that are smaller than the
previous.
Your case below however indicates that the timestamp is reinitialized to
a new value. An RTCP sender report in the A to B direction will then
reveal the NTP (wallclock) time that the packets was transmitted.

Ingemar

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> [email-masked]
> Sent: den 3 juni 2008 21:00
> To: [email-masked]
> Subject: Sipping Digest, Vol 50, Issue 1
> 
> Send Sipping mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.ietf.org/mailman/listinfo/sipping
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more 
> specific than "Re: Contents of Sipping digest..."
> 
> 
> Today's Topics:
> 
>    1. rtp seq and timestamp ( ??? )
> 
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Tue, 3 Jun 2008 16:13:02 +0800
> From: " ??? " <[email-masked]>
> Subject: [Sipping] rtp seq and timestamp
> To: [email-masked], "IETF Sipping List" <[email-masked]>
> Message-ID:
> 	<[email-masked]>
> Content-Type: text/plain; charset="iso-8859-1"
> 
> Hi Guys
> 
>    I have a question as following
> 
> A and B are already connented , A sent a re-invite to B, and 
> the three-way handshake  is ok after it, the rtp (A to B)'s 
> seq no is larger than the before  and the SSRC
> is different I think it is ok , but the   timestamp is samller than
> the before I do not know whther it is ok or not
> 
> can anyone give me some advices
> 
> Thanks
> 
> Samman
> 
> 2008-6-3
> 
> --
> msn:[email-masked] <[email-masked]>
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: 
> https://www.ietf.org/mailman/private/sipping/attachments/20080
> 603/ef8cfba1/attachment-0001.htm 
> 
> ------------------------------
> 
> Sipping mailing list  https://www.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
> 
> End of Sipping Digest, Vol 50, Issue 1
> **************************************
> 
_______________________________________________
Sipping mailing list  https://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP